Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.ee
Class JDOConnectionFactoryMetaData

    java.lang.Object
      |
      +--com.solarmetric.kodo.impl.jdbc.ee.JDOConnectionFactoryMetaData

All Implemented Interfaces:
  ResourceAdapterMetaData

public class JDOConnectionFactoryMetaData
extends Object
implements ResourceAdapterMetaData

Enterprise Edition ConnectionFactory that implements ConnectionFactory

Constructor Summary
`JDOConnectionFactoryMetaData()`

Method Summary
`String` | `getAdapterName()`
`String` | `getAdapterShortDescription()`
`String` | `getAdapterVendorName()`
`String` | `getAdapterVersion()`
`String[]` | `getInteractionSpecsSupported()`
`String` | `getSpecVersion()`
`boolean` | `supportsExecuteWithInputAndOutputRecord()`
`boolean` | `supportsExecuteWithInputRecordOnly()`
`boolean` | `supportsLocalTransactionDemarcation()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDOConnectionFactoryMetaData

    public JDOConnectionFactoryMetaData()

Method Detail

### getAdapterName

    public String getAdapterName()

  Specified by:
    `getAdapterName` in interface `ResourceAdapterMetaData`

### getAdapterShortDescription

    public String getAdapterShortDescription()

  Specified by:
    `getAdapterShortDescription` in interface `ResourceAdapterMetaData`

### getAdapterVendorName

    public String getAdapterVendorName()

  Specified by:
    `getAdapterVendorName` in interface `ResourceAdapterMetaData`

### getSpecVersion

    public String getSpecVersion()

  Specified by:
    `getSpecVersion` in interface `ResourceAdapterMetaData`

### getAdapterVersion

    public String getAdapterVersion()

  Specified by:
    `getAdapterVersion` in interface `ResourceAdapterMetaData`

### supportsLocalTransactionDemarcation

    public boolean supportsLocalTransactionDemarcation()

  Specified by:
    `supportsLocalTransactionDemarcation` in interface `ResourceAdapterMetaData`

### supportsExecuteWithInputAndOutputRecord

    public boolean supportsExecuteWithInputAndOutputRecord()

  Specified by:
    `supportsExecuteWithInputAndOutputRecord` in interface `ResourceAdapterMetaData`

### supportsExecuteWithInputRecordOnly

    public boolean supportsExecuteWithInputRecordOnly()

  Specified by:
    `supportsExecuteWithInputRecordOnly` in interface `ResourceAdapterMetaData`

### getInteractionSpecsSupported

    public String[] getInteractionSpecsSupported()

  Specified by:
    `getInteractionSpecsSupported` in interface `ResourceAdapterMetaData`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.